<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

ob_start();
define('NTOP', 1);
$title = 'Страница авторизации';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
switch ($act)
{
		default:
		unreg();
		echo '<div class="topik">Авторизация</div>';
		if(!isset($_POST['ok']))
			{
				echo '<div class="main">';
				
				echo'
				<form action="authentication" method="POST">
				Ваш Логин:<br/>
				<input type="text" class="input" name="login" maxlength="30" value="" size="20" maxlength="50" /><br/>
				Ваш Пароль:<br/>
				<input type="text" class="input" name="password" maxlength="30" value="" size="20" maxlength="50" /><br/>
				<input name="ok" type="submit" value="Войти В Аккаунт" /><br/>
				';
				echo '</div><div class="main">
<a href="http://'.$set['home'].'/m/recoveryPassword">Забыли Пароль?</a><br />
<a href="http://'.$set['home'].'/m/registration">Регистрация</a>
</div>';
			}
		else
			{
				if(empty($_POST['login']) OR empty($_POST['password']))
					{
						$error = 'Одно из полей не было заполнено!';
					}
				if(mb_strlen($_POST['login']) > 30 OR mb_strlen($_POST['login']) < 3)
					{
						$error.='Поле "Логин" должно быть не меньше 5 и не больше 30 символов!<br/>';
					}
				if(mb_strlen($_POST['password']) > 30 OR mb_strlen($_POST['password']) < 4)
					{
						$error.='Поле "Пароль" должно быть не меньше 5 и не больше 30 символов!<br/>';
					}
				if(isset($error))
					{
						echo '<div class="main">';
						echo $error;

						echo '<a href="http://'.$set['home'].'/m/authentication">Назад</a><br/>';
						echo '</div>';
					}
				else
					{
						$login = mysqli_real_escape_string($mysqli,htmlspecialchars(trim($_POST['login'])));
						$password = mysqli_real_escape_string($mysqli,htmlspecialchars(trim(md5($_POST['password']))));

						$user_isset = mysqli_query($mysqli,"SELECT * FROM `".$prefix."users` WHERE `login` = '".$login."' AND `password` = '".$password."'");
						if(mysqli_num_rows($user_isset) > 0)
							{
								$row = mysqli_fetch_array($user_isset);
								SetCookie('login',$login,time()+3600*24*365, '/');
								SetCookie('password',$password,time()+3600*24*365, '/');
								echo '
								<div class="main">
								Добро Пожаловать , <font color="green"><strong>'.$row['login'].'</strong></font><br/>
								Ваш Текущий IP: <font color="blue"><strong>'.$ip.'</strong></font><br/>
								
								<a href="http://'.$set['home'].'/m/office">Мой Kабинет</a><br/>
								</div>
								';
							}
						else
							{
								echo '<div class="stat">';
								echo 'Пользователь не найден в базе , или данные не верны!<br/>';
								echo '<a href="http://'.$set['home'].'/m/authentication">Назад</a>';
								echo '</div>';
							}
					}
			}
		break;
		case 'exit':
		reg();
		if(isset($_COOKIE['login']) AND isset($_COOKIE['password']))
			{
				SetCookie('login','',time(), '/');
				SetCookie('password','',time(), '/');
				echo '<div class="topik">Успешный Выход</div>';
				echo '<div class="main">';
				echo 'Вы Успешно Вышли! <br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="main">';
				echo 'Вы не авторизованы для выхода! <br/>';
				echo '</div>';
			}
		break;
	}

require_once ('foot.php');
